#include <iostream>
#include <vector>
#include <algorithm>
using namespace std;
int main(){
    int N,L,i,b=0;
    cin>>N>>L;
    vector<int>a(N);
    for(i=0;i<N;i++)
        cin>>a[i];
    for(i=0;i<N;i++)
        if(a[i]>L){
            b++;
        }
        else{
            break;
        }    
    if (b==N){
        cout<<-1;
    }
    else{
        cout<<b+1;
    }
    return 0;}